![travis](https://travis-ci.org/sachinchoolur/lg-autoplay.svg?branch=master)
![bower](https://img.shields.io/bower/v/lg-autoplay.svg)
![npm](https://img.shields.io/npm/v/lg-autoplay.svg)

# Autoplay module for [lightGallery](http://sachinchoolur.github.io/lightGallery/)
A customizable, modular, responsive, lightbox gallery plugin for jQuery.
![lightgallery](https://raw.githubusercontent.com/sachinchoolur/lightGallery/master/lib/lg.png)
 
Browser support
---
lightgallery supports all major browsers including IE 9 and above..


Installation
---
#### Install with Bower

You can install lightgallery autoplay plugin using the [Bower](http://bower.io) package manager.

```sh
$ bower install lg-autoplay --save
```

#### npm

You can also find lightgallery autoplay plugin on [npm](http://npmjs.org).

```sh
$ npm install lg-autoplay
```
#### Download from Github

You can also directly download lg-autoplay from github.

#### CDN
If you prefer to use a CDN you can load files via [jsdelivr](https://www.jsdelivr.com/projects/lg-autoplay)

#### Include Javascript files
Include lg-autoplay plugin after lightgallery.min.js.
``` html
<body>
   ---
    <!-- Include lightGallery -->
    <script src="js/lightgallery.min.js"></script>
    
    <!-- Include lg-autoplay -->
    <script src="js/lg-autoplay.min.js"></script>
    
    <!-- Include other lightgallery plugins (Optional) -->
    <script src="js/lg-thumbnail.min.js"></script>
</body>  
```

Demos 
----
  * [Autoplay](http://sachinchoolur.github.io/lightGallery)
  
Docs
-----
[Options](http://sachinchoolur.github.io/lightGallery/docs/api.html#lg-autoplay)

License
---

#### Commercial license
If you want to use lightGallery to develop commercial sites, themes, projects, and applications, the Commercial license is the appropriate license. With this option, your source code is kept proprietary. Purchase a lightGallery Commercial License at [uplabs.com/posts/lightgallery-plugin](https://www.uplabs.com/posts/lightgallery-plugin)

#### Open source license

If you are creating an open source application under a license compatible with the GNU GPL license v3, you may use this project under the terms of the GPLv3.
